: Class IPTemplateArrayEditor

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm.editors
Class IPTemplateArrayEditor

    java.lang.Object
      |
      +--org.w3c.jigadm.editors.AttributeEditor
            |
            +--org.w3c.jigadm.editors.StringArrayEditor
                  |
                  +--org.w3c.jigadm.editors.IPTemplateArrayEditor

public class IPTemplateArrayEditor
extends StringArrayEditor

IPTemplateArrayEditor :

Field Summary
`protected short[][]` | `oldshortarray`

Fields inherited from class org.w3c.jigadm.editors.StringArrayEditor
`comp, FEEDER_CLASS_P, hasChanged, oldvalue`

Fields inherited from class org.w3c.jigadm.editors.AttributeEditor
`als`

Constructor Summary
`IPTemplateArrayEditor()`

Method Summary
`protected java.awt.Dimension` | `getPopupSize()`
`protected TextEditable` | `getTextEditor()`
`java.lang.Object` | `getValue()` Get the current value of the edited value
`void` | `initialize(RemoteResourceWrapper w, Attribute a, java.lang.Object o, java.util.Properties p)` Initialize the editor
`void` | `resetChanges()` reset the changes (if any)
`protected void` | `setSelectedItems(short[][] selectedItems)`
`void` | `setValue(java.lang.Object o)` Set the value of the edited value
`protected java.lang.String[]` | `toStringArray(short[][] selectedItems)`

Methods inherited from class org.w3c.jigadm.editors.StringArrayEditor
`clearChanged, createComponent, getComponent, hasChanged, setModified`

Methods inherited from class org.w3c.jigadm.editors.AttributeEditor
`addAttributeListener, processEvent, removeAttributeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### oldshortarray

    protected short[][] oldshortarray

Constructor Detail

### IPTemplateArrayEditor

    public IPTemplateArrayEditor()

Method Detail

### toStringArray

    protected java.lang.String[] toStringArray(short[][] selectedItems)

### setSelectedItems

    protected void setSelectedItems(short[][] selectedItems)

### resetChanges

    public void resetChanges()

  reset the changes (if any)
  Overrides:
    resetChanges in class StringArrayEditor

### getValue

    public java.lang.Object getValue()

  Get the current value of the edited value
  Overrides:
    getValue in class StringArrayEditor
  Returns:
    an object or null if the object was not initialized

### setValue

    public void setValue(java.lang.Object o)

  Set the value of the edited value
  Overrides:
    setValue in class StringArrayEditor
  Parameters:
    `o` - the new value.

### getTextEditor

    protected TextEditable getTextEditor()

  Overrides:
    getTextEditor in class StringArrayEditor

### getPopupSize

    protected java.awt.Dimension getPopupSize()

  Overrides:
    getPopupSize in class StringArrayEditor

### initialize

    public void initialize(RemoteResourceWrapper w,
                           Attribute a,
                           java.lang.Object o,
                           java.util.Properties p)
                    throws RemoteAccessException

  Initialize the editor
  Overrides:
    initialize in class StringArrayEditor
  Parameters:
    `w` - the ResourceWrapper father of the attribute
    `a` - the Attribute we are editing
    `o` - the value of the above attribute
    `p` - some Properties, used to fine-tune the editor
  Throws:
    RemoteAccessException - if a remote access error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD